Skip to content

Cancel stamp reservation

POST
/api/v2.0/stores/{storeId}/members/{memberId}/stamp-cards/cancel-reservation
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/stamp-cards/cancel-reservation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "reserved_stamps": [ { "stamp_card_id": 1, "count": 1 } ], "external_transaction_id": "example" }'

Cancel reserved stamps from the member’s current stamp card, affecting only the reserved stamps.

storeId
required
string
Example
your-store-id
memberId
required
string
Example
m_nsr714RRBEHX
object
reserved_stamps
Array<object>
nullable
object
stamp_card_id
integer format: int32
count

The number of stamps on this particular stamp cardId. It must be a positive value

integer format: int32
external_transaction_id
string
nullable
Examplegenerated
{
"reserved_stamps": [
{
"stamp_card_id": 1,
"count": 1
}
],
"external_transaction_id": "example"
}

No Content

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}